Notus API
Liquidity pools

List Liquidity Pools

List liquidity pools that exist on the blockchain. The pool can be in a broken state, like having nearly no liquidity. Use the data returned by this endpoint to asses if the pool is worth investing into. Choose the aggregation interval to control both granularity and time range: DAILY (last 30 days), WEEKLY (last 12 weeks), MONTHLY (last 12 months).

GET
/api/v1/liquidity/pools

Authorization

x-api-key
x-api-key<token>

In: header

Query Parameters

take?integer

Maximum amount of pools per page.

Range1 <= value <= 50
Default10
offset?integer

Number of pools to skip. Used for paging the results.

Range0 <= value <= 9007199254740991
Default0
chainIds?array<number>

Filter by chains. Supported EVM chains:

  • Arbitrum One: 42161
  • Avalanche: 43114
  • Base: 8453
  • BNB Smart Chain: 56
  • Ethereum: 1
  • Gnosis: 100
  • OP Mainnet: 10
  • Polygon: 137
  • X Layer Mainnet: 196
  • Robinhood Chain: 4663
tokensAddresses?array<string>

Filter by tokens

filterWhitelist?boolean

Filter results by the project whitelist, setting to false returns all pools regardless of your whitelist

rangeInDays?integer

Number of days to aggregate pool statistics for. Must be between 1 and 365 days. Default is 30 days.

Range1 <= value <= 365
Default30
ids?array<string>

Filter by pool ids

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/liquidity/pools"
{  "pools": [    {      "provider": {        "name": "XY",        "logoUrl": "https://assets.notus.team/Lifi.png",        "explorerURL": "https://explorer.li.fi"      },      "address": "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640",      "chain": {        "id": 137,        "name": "POLYGON",        "logo": "https://logopolygon.com"      },      "fee": 0.05,      "totalValueLockedUSD": "10000.453",      "tokens": [        {          "name": "Wrapped Bitcoin",          "symbol": "WBTC",          "decimals": 18,          "address": "0x2f2a2543b76a4166549f7aab2e75bef0aefc5b0f",          "poolShareInPercentage": 50.5,          "poolShare": 1000.25,          "logo": "https://assets.notus.team/wbtc.png"        }      ],      "stats": {        "rangeInDays": 30,        "feesInUSD": "1500.75",        "volumeInUSD": "50000.25",        "transactionsCount": 1250      }    }  ]}